library(ggplot2)

d <- read.table("perf.dat", header=TRUE, fill=TRUE)

listOPs <- c("acceder", "remplir", "supprimer")
listStructs <- c("arraylist", "hashmap", "vector")
for (operation in listOPs) {
    #for (struct in listStructs) {
        ggplot(d[d$Operation == operation ,], aes(x=n, y=Temps, color=Structure)) +
            geom_point() + geom_smooth() +
            ggtitle(operation) + xlab("Nombre d'éléments") + ylab("Temps d'exécution") +
            theme(plot.title = element_text(hjust = 0.5)) + facet_grid(Operation ~ Structure)
            #ylim(0, max(d$temps, na.rm = TRUE))
        ggsave(paste(operation, ".png", sep=""))
    #}
}